Páginas

sábado, 4 de mayo de 2013

Disponible Calibre 0.9.28 en los repositorios de openSUSE

Calibre es un gestor de bibliotecas de libros digitales desarrollado por usuarios para usuarios. Es una aplicación libre y de código abierto multiplataforma, pues es compatible con Linux, Windows y OS X.

Las características principales de Calibre son:
  • Gestión de colecciones de libros electrónicos, que incluye la catalogación de cada libro mediante la descarga de metadatos desde Internet.
  • Conversión entre los principales formatos de libro electrónico.
  • Sincronización con los principales modelos de lectores digitales.
  • Descarga de noticias de la web y conversión a libro electrónico para su cómoda lectura.
  • Lector completo de libro electrónico.
  • Servidor de contenido para el acceso en línea a la biblioteca digital.
Calibre utiliza la biblioteca de desarrollo Qt, por lo que se integra perfectamente en KDE y GNOME. Su ciclo de desarrollo es rápido, por lo que las nuevas versiones se publican con mucha frecuencia y las nuevas características se van incorporando gradualmente.

En este momento se encuentra disponible la versión 0.9.28 de Calibre en los repositorios KDE:Extra y Documentation:Tools.

Calibre 0.9.28 en openSUSE 12.3.

Para instalar Calibre 0.9.28 en openSUSE 12.2 y 12.3 hay que seguir los pasos siguientes:

1. Iniciar sesión como superusuario en el terminal.

su -

2. Añadir el repositorio de KDE:Extra.

  • Para openSUSE 12.3:

    zypper addrepo -f http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_12.3 KDE:Extra 
  • Para openSUSE 12.3 con KDE 4.10 actualizado:

    zypper addrepo -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_410_openSUSE_12.3 KDE410:Extra
  •  Para openSUSE 12.2:

    zypper addrepo -f http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_12.2 KDE:Extra
  • Para openSUSE 12.2 con KDE 4.10:

    zypper addrepo -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_410_openSUSE_12.2 KDE410:Extra
  • Para openSUSE 12.2 con KDE 4.9:

    zypper addrepo -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_49_openSUSE_12.2 KDE49:Extra

3. Refrescar los repositorios.

zypper refresh

4. Instalar la versión de Calibre disponible en el repositorio.

zypper install calibre

Fuentes:

8 comentarios:

  1. Recordar que existe un plugin para Calibre, que por lo que lo he probado funciona muy bien, para quitar el DRM.

    ResponderEliminar
    Respuestas
    1. Gracias por la información, no la conocía. Un saludo.

      Eliminar
  2. Hola

    He instaldo Calibre según las indicaciones y me salta el error que falta "python-metifaces" y me da las opciones de cancelar o romper Calibre.

    He buscado en Yast y no aparece "python-metifaces" ni nada parecido

    ¿Como puedo solucionarlo?

    Gracias de antemano y un saludo

    Txus

    ResponderEliminar
    Respuestas
    1. Hola, Txus. Se trata del paquete "python-netifaces" y está disponible en los repositorios oficiales. Yo he actualizado Calibre según se indica en openSUSE 12.3 sin problemas. En este momento ya está disponible la versión 0.9.30.

      Eliminar
    2. Hola y gracias por la respuesta, pero por más que busco no encuentro.

      Uso OpenSuse 12.1 ¿Tiene algo que ver? ¿En que repositorio se encuentra el tal python-netifaces?

      Un saludo y gracias otra vez.

      Txus

      Eliminar
    3. Hola, Txus, ahora entiendo porque no encuentras el paquete no está disponible en el repositorio oficial de openSUSE 12.1. De todas formas te recomiendo que te pases a la versión 12.2 o mejor 12.3, pues esta versión pronto se quedará sin soporte. Si quieres instar este paquete desde el repositorio devel:languages:python ves al enlace siguiente:

      http://software.opensuse.org/package/python-netifaces?search_term=python-netifaces

      Eliminar
  3. OK

    He mirado en tu post para actualizar a OpenSuse 12.3 desde la 12.2.

    ¿Se puede actualizar desde OpenSuse 12.1 de la misma manera?

    Saludos y gracias otra vez

    Txus

    ResponderEliminar
    Respuestas
    1. Se puede, pero siempre es más seguro actualizar versiones consecutivas. De todas formas, si después de actualizar el sistema no funciona correctamente siempre puedes hacer una instalación nueva. Un saludo.

      Eliminar